Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class Module

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
          org.gradle.plugins.ide.idea.model.Module

    class Module
    extends XmlPersistableConfigurationObject

Represents the customizable elements of an iml (via XML hooks everything of the iml is customizable).

Property Summary
`static String` | `INHERITED`
`Path` | `contentPath` The directory for the content root of the module.
`Set` | `dependencies` The dependencies of this module.
`Set` | `excludeFolders` The directories to be excluded.
`boolean` | `inheritOutputDirs` If true, output directories for this module will be located below the output directory for the project; otherwise, outputDir and testOutputDir will take effect.
`String` | `jdkName`
`Path` | `outputDir` The output directory for production classes.
`Set` | `sourceFolders` The directories containing the production sources.
`Path` | `testOutputDir` The output directory for test classes.
`Set` | `testSourceFolders` The directories containing the test sources.

Constructor Summary
`Module(XmlTransformer withXmlActions, PathFactory pathFactory)`

Method Summary
`protected def` | `configure(Path contentPath, Set sourceFolders, Set testSourceFolders, Set excludeFolders, Boolean inheritOutputDirs, Path outputDir, Path testOutputDir, Set dependencies, String jdkName)`
`boolean` | `equals(def o)`
`protected String` | `getDefaultResourceName()`
`String` | `getJavaVersion()`
`int` | `hashCode()`
`protected boolean` | `isDependencyOrderEntry(def orderEntry)`
`protected void` | `load(Node xml)`
`void` | `setJavaVersion(String jdkName)`
`protected void` | `store(Node xml)`
`String` | `toString()`

Property Detail

### INHERITED

    static final String INHERITED

### contentPath

    Path contentPath

  The directory for the content root of the module. Defaults to the project directory. If null, the directory containing the output file will be used.

### dependencies

    Set dependencies

  The dependencies of this module. Must not be null.

### excludeFolders

    Set excludeFolders

  The directories to be excluded. Must not be null.

### inheritOutputDirs

    boolean inheritOutputDirs

  If true, output directories for this module will be located below the output directory for the project; otherwise, outputDir and testOutputDir will take effect.

### jdkName

    String jdkName

### outputDir

    Path outputDir

  The output directory for production classes. If `null`, no entry will be created.

### sourceFolders

    Set sourceFolders

  The directories containing the production sources. Must not be null.

### testOutputDir

    Path testOutputDir

  The output directory for test classes. If `null`, no entry will be created.

### testSourceFolders

    Set testSourceFolders

  The directories containing the test sources. Must not be null.

Constructor Detail

### Module

    Module(XmlTransformer withXmlActions, PathFactory pathFactory)

Method Detail

### configure

    protected def configure(Path contentPath, Set sourceFolders, Set testSourceFolders, Set excludeFolders, Boolean inheritOutputDirs, Path outputDir, Path testOutputDir, Set dependencies, String jdkName)

### equals

    boolean equals(def o)

### getDefaultResourceName

    @Override
    protected String getDefaultResourceName()

### getJavaVersion

    String getJavaVersion()

### hashCode

    int hashCode()

### isDependencyOrderEntry

    protected boolean isDependencyOrderEntry(def orderEntry)

### load

    @Override
    protected void load(Node xml)

### setJavaVersion

    void setJavaVersion(String jdkName)

### store

    @Override
    protected void store(Node xml)

### toString

    String toString()

Gradle API 1.10